//		*****************************************************
//		File Name:		StateInterface.js
//		Description:	Interface into State 
//						Infolibria
//		Date:			7/12/00
//		Author:			Nathan Hodson
//		=====================================================
//		Change History
//		==============
//		Date	Author		Description
//		=====================================================
//		
//		*****************************************************

// ==========================
// Channel Content Property
// ==========================
function getChannelContentState() {
	return top.STATE.getChannelContentState();
}
function setChannelContentState(strChannelContent) {
	top.STATE.setChannelContentState(strChannelContent)
	return;
}

// ==========================
// Frameset Layout Property
// ==========================
function getFramesetState() {
	return top.STATE.getFramesetState();
}
function setFramesetState(strFrameset) {
	top.STATE.setFramesetState(strFrameset);
	return
}

// ==========================
// Window Size Property
// ==========================
function getWindowState() {
	return top.STATE.getWindowState()
}
function setWindowState(strWindowState) {
	top.STATE.setWindowState(strWindowState);
	return;
}

// =========================
// Preferred Media Player
// =========================
function getPreferredPlayer() {
	return top.STATE.getPreferredPlayer();
}
function setPreferredPlayer(strPlayer) {
	top.STATE.setPreferredPlayer(strPlayer);
	return;
}
// =========================
// Window Mode
// =========================
function getWindowMode() {
	return top.STATE.getWindowMode();
}
function setWindowMode(strWindow) {
	top.STATE.setWindowMode(strWindow);
	return;
}

// *************************** WINDOW SIZE INTERFACE **************************
// ==========================
// Window Sizes
// ==========================
function setWindowWidth(intWidth) {
	top.STATE.setWindowWidth(intWidth);
	return
}
function getWindowWidth() {
	return top.STATE.getWindowWidth(intWidth);
}
function setWindowHeight(intHeight) {
	top.STATE.setWindowHeight(intHeight);
	return
}
function getWindowHeight() {
	return top.STATE.getWindowHeight(intHeight);
}

// *************************** FRAMESET SIZE INTERFACE **************************
// ==========================
// Media Frame Sizes
// ==========================
function setMediaWidth(intWidth) {
	top.STATE.setMediaWidth(intWidth)
	return 
}
function getMediaWidth() {
	return top.STATE.getMediaWidth()
}
function setMediaHeight(intHeight) {
	top.STATE.setMediaHeight(intHeight)
	return 
}
function getMediaHeight() {
	return top.STATE.getMediaHeight()
}


// ==========================
// Advert Frame Sizes
// ==========================
function setAdvertWidth(intWidth) {
	top.STATE.setAdvertWidth(intWidth)
	return 
}
function getAdvertWidth() {
	return top.STATE.getAdvertWidth()
}
function setAdvertHeight(intHeight) {
	top.STATE.setAdvertHeight(intHeight)
	return 
}
function getAdvertHeight() {
	return top.STATE.getAdvertHeight()
}

// ==========================
// ChannelControl Frame Sizes
// ==========================
function setChannelControlWidth(intWidth) {
	top.STATE.setChannelControlWidth(intWidth)
	return
}
function getChannelControlWidth() {
	return top.STATE.getChannelControlWidth()
}
function setChannelControlHeight(intHeight) {
	top.STATE.setChannelControlHeight(intHeight)
	return
}
function getChannelControlHeight() {
	return top.STATE.getChannelControlHeight()
}
// ==========================
// ChannelMenu Frame Sizes
// ==========================
function setChannelMenuWidth(intWidth) {
	top.STATE.setChannelMenuWidth(intWidth)
	return
}
function getChannelMenuWidth() {
	return top.STATE.getChannelMenuWidth()
}
function setChannelMenuHeight(intHeight) {
	top.STATE.setChannelMenuHeight(intHeight)
	return
}
function getChannelMenuHeight() {
	return top.STATE.getChannelMenuHeight()
}

// ==========================
// ChannelContent Frame Sizes
// ==========================
function setChannelContentWidth(intWidth) {
	top.STATE.setChannelContentWidth(intWidth)
	return
}
function getChannelContentWidth() {
	return top.STATE.getChannelContentWidth()
}
function setChannelContentHeight(intHeight) {
	top.STATE.setChannelContentHeight(intHeight)
	return
}
function getChannelContentHeight() {
	return top.STATE.getChannelContentHeight()
}


